:root {
    --blue: #0d6efd;
    --blue2: #0a58ca;

}

.pt-5 {
    padding-top: 5px;
}

.pt-10 {
    padding-top: 10px;
}

.pt-20 {
    padding-top: 20px;
}

.pt-30 {
    padding-top: 30px;
}

.pt-40 {
    padding-top: 40px;
}

.pt-50 {
    padding-top: 50px;
}

.pt-60 {
    padding-top: 60px;
}

.pb-5 {
    padding-bottom: 5px;
}

.pb-10 {
    padding-bottom: 10px;
}

.pb-20 {
    padding-bottom: 20px;
}

.pb-30 {
    padding-bottom: 30px;
}

.pb-40 {
    padding-bottom: 40px;
}

.pb-50 {
    padding-bottom: 50px;
}

.pb-60 {
    padding-bottom: 60px;
}

.loaded {
    position: relative;
}

@keyframes rotate-center {
    0% {
        -webkit-transform: rotate(0);
        transform: rotate(0);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.loaded::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(2px);
    z-index: 2;
}

.loaded::after {
    content: '';
    display: block;
    position: absolute;
    left: 50%;
    top: 50%;
    margin-left: -20px;
    margin-top: -20px;
    width: 40px;
    height: 40px;

    border-radius: 1000px;
    border-left: 3px solid var(--blue2);
    border-right: 3px solid var(--blue2);
    border-top: 3px solid transparent;
    border-bottom: 3px solid var(--blue2);
    -webkit-animation: rotate-center 1s linear infinite both;
    animation: rotate-center 1s linear infinite both;
    z-index: 3;
}

[disabled] {
    pointer-events: none;
    opacity: 0.5;
    cursor: default;
}

.overflow {
    position: fixed;
    z-index: 100;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background: rgba(255, 255, 255, 0.3);
    backdrop-filter: blur(10px);
    transition: 0.5s;
    display: none;
    visibility: hidden;
    opacity: 0;
    padding-bottom: 30px;
    overflow-y: auto;
}

.overflow.fade.in {
    visibility: visible;
    opacity: 1;
}

.overflow.fade {
    display: block;
}

.overflow .modal-container {
    width: max-content;
    background: #fff;
    min-width: 25%;
    max-width: 90%;
    margin: auto;
    margin-top: 10vh;
    transform: translateY(100px);
    transition: 0.5s;
    opacity: 0;
    -webkit-box-shadow: 0px 0px 26px 7px rgba(34, 60, 80, 0.2);
    -moz-box-shadow: 0px 0px 26px 7px rgba(34, 60, 80, 0.2);
    box-shadow: 0px 0px 26px 7px rgba(34, 60, 80, 0.2);
}

.overflow.fade.in .modal-container {
    transform: translateY(0px);
    opacity: 1;
}

.modal-header .title {
    font-size: 1.2rem;

    padding: 10px 20px;
}

.modal-header .close {
    font-size: 2rem;
    width: 40px;
    height: 40px;
    display: block;
    line-height: 2rem;
    text-align: center;
}

.overflow.fade.in .modal-container .modal-body {
    padding: 40px;
}

.overflow.fade.in .modal-container .modal-body .desc {
    color: #444;
    text-align: center;
    font-weight: lighter;
}

.input-3-flex .input-block {
    width: calc(33.3333% - 20px);
}

.input-2-flex .input-block {
    width: calc(50% - 10px);
}

.flex-label {
    gap: 20px;
}

.flex-label label {
    padding: 10px;

}

.checkbox-wrap .title {
    margin-bottom: 20px;
}


.flex-label label input[type="checkbox"] {
    display: inline-block;
    width: 20px;
    height: 20px;
    margin-right: 10px;
    visibility: visible;
    opacity: 1;
}

.access-block input[type="checkbox"]~label:before {
    border: 1px solid #ccc;
}

.input-block.error {
    color: red;
}

.input-block.error .error {
    font-size: 12px;
}

.quiz-container {
    position: relative;
    overflow: hidden;
}

.quiz-item {
    position: absolute;
    transform: translateY(50px);
    opacity: 0;
    visibility: hidden;
}

.quiz-item.active {
    transform: translateY(0px);
    transition: 0.5s;
    position: relative;
    opacity: 1;
    visibility: visible;
}

.quiz-item input[type="radio"]~label {
    padding: 20px;
    padding-left: 40px;
    border-radius: 100px;
    cursor: pointer;
    box-shadow: 0px 0px 9px 0px rgba(34, 60, 80, 0.3);
    width: 100%;
}

.quiz-item input[type="radio"]~label::before {

    left: 15px;
    top: 18px;
}

#modalQuiz.overflow .modal-container .modal-body {
    padding: 20px;
}

.quiz-container {
    padding: 20px;
}

.quiz-wrap .button-block .send-quiz {
    display: none;
}

.quiz-wrap .button-block.last-active .send-quiz {
    display: block;
}

.quiz-wrap .button-block.last-active .next-quiz {
    display: none;
}

#modalQuiz.overflow .modal-container {
    width: 60%
}

.quiz-wrap .button-block.first-active .prev-quiz {
    display: none;
}

.ansfer-wrap .option-label {
    width: calc(100% / 2 - 10px);
}

.ansfer-wrap .image-label {
    width: calc(100% / 4 - 15px);
}

.quiz-item .image-label input[type="radio"]~label {
    padding: 0;
    box-shadow: none;
    border-radius: 0;
}

.quiz-item .image-label input[type="radio"]~label img {
    margin-bottom: 10px;
    aspect-ratio: 1.6 / 1;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.ansfer-wrap .tel-label {
    width: 100%;
}

.quiz-wrap .progress-barr {
    border-radius: 100px;
    border: 2px solid var(--theme-color);
    padding: 1px;
}

.quiz-wrap .progress-barr .progresss {
    height: 5px;
    border-radius: 100px;
    background: var(--theme-color);
    width: 0;
    transition: 0.5s;
}

.quiz-wrap .counts {
    font-size: 1.2rem;
    font-weight: bold;
    color: var(--theme-color);
    padding-left: 20px;
}

.alert-success {
    padding: 20px;
}

.soc-links .soc-links {
    background: #fff;
    display: block;
    border-radius: 1000px;
    padding: 5px;
    width: 30px;
    height: 30px;
    -webkit-box-shadow: 0px 0px 8px 0px rgba(34, 60, 80, .2);
    -moz-box-shadow: 0px 0px 8px 0px rgba(34, 60, 80, .2);
    box-shadow: 0px 0px 8px 0px rgba(34, 60, 80, .2);
}

.soc-links .max-link svg {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.soc-links {
    list-style: none;
    padding: 0;
    margin: 0;
}

.soc-links .max-link svg path {
    fill: var(--theme-color);
}

@media only screen and (max-width: 800px),
only screen and (max-device-width: 800px) {
    .input-3-flex .input-block {
        width: calc(50% - 10px);
        -webkit-box-flex: 1;
        -ms-flex-positive: 1;
        flex-grow: 1;
    }

    #modalQuiz.overflow .modal-container {
        width: 90%;
    }

    #modalQuiz.overflow .modal-container .modal-header .title {
        font-size: .6rem;
    }

    .flex-label {
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    }

    .flex-label label {
        white-space: nowrap;
    }

    .ansfer-wrap .option-label {
        width: 100%;
    }

    .ansfer-wrap .image-label {
        width: calc(100% / 2 - 10px);
    }
}

@media only screen and (max-width: 480px),
only screen and (max-device-width: 480px) {
    .input-3-flex .input-block {
        width: 100%;

    }

    .ansfer-wrap .image-label {
        width: 100%;
    }

    .ansfer-wrap .image-label {
        width: 100%;
        margin-bottom: 40px;
    }
}